org.apache.torque.generator.source.transform

## Class SourceTransformerException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.torque.generator.GeneratorException
      - - org.apache.torque.generator.source.transform.SourceTransformerException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    NoSuchPropertyException, PropertyNotReadableException, PropertyNotWriteableException

      public class SourceTransformerException
      extends GeneratorException

  This exception is the superclass of all Exceptions thrown by SourceTransformers.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SourceTransformerException()` Constructs a SourceTransformerException without error message.
    `SourceTransformerException(String message)` Constructs a SourceTransformerException with the given error message.
    `SourceTransformerException(String message, Throwable cause)` Constructs a SourceTransformerException which wraps another exception, and which has its own error message.
    `SourceTransformerException(Throwable cause)` Constructs a SourceTransformerException which wraps another exception.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SourceTransformerException

          public SourceTransformerException()

      Constructs a SourceTransformerException without error message.

    - #### SourceTransformerException

          public SourceTransformerException(String message)

      Constructs a SourceTransformerException with the given error message.
      Parameters:
        `message` - the error message
      See Also:
        `Exception.Exception(java.lang.String)`

    - #### SourceTransformerException

          public SourceTransformerException(Throwable cause)

      Constructs a SourceTransformerException which wraps another exception.
      Parameters:
        `cause` - The root message.
      See Also:
        `Exception.Exception(java.lang.Throwable)`

    - #### SourceTransformerException

          public SourceTransformerException(String message,
                                            Throwable cause)

      Constructs a SourceTransformerException which wraps another exception, and which has its own error message.
      Parameters:
        `message` - The error message.
        `cause` - The exception to wrap.
      See Also:
        `Exception.Exception(java.lang.String, java.lang.Throwable)`

Copyright © 2000–2020 The Apache Software Foundation. All rights reserved.